[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TPicture.Progress

Monitors progress of a drawing process.

## Declaration

Source position: graphics.pp line 905

`protected procedure TPicture.Progress(`
`Sender: TObject;`
`Stage: TProgressStage;`
`PercentDone: Byte;`
`RedrawNow: Boolean;`
`const R: TRect;`
`const Msg: string;`
`var DoContinue: Boolean`
`); virtual;`

## Arguments

`Sender` |  | Object for the notification.

## Description

Performs actions needed to monitor the progress of operations in the class instance.

The parameters identify the calling object, the action being performed, the completion percentage, whether the picture should be redraw. The DoContine variable parameter is updated in the event handler to indicate if the process is continued. False indicates an error condition where the process should be halted. It is set to True on entry.

Progress signals the OnProgress event handler (when assigned) using the parameters values as arguments.

No actions are performed in the method when OnProgress has not been assigned (contains Nil). In this scenario, DoContine returns True.

See TProgressEvent for more details on progress monitoring.

## See also

TPicture.OnProgress |  | Event handler signalled to track the progress of operations in the class instance.
TProgressEvent |  | Specifies an event handler for monitoring the progress of a drawing process.